Most popular facets - Fluid Topics - Latest

Fluid Topics API Reference Guide

Category
Reference Guides
Audience
public
Version
Latest

This web service responds with information about which facets were the most popular among users over a selected period.

Method Endpoint
POST
/analytics/api/v2/searches/facets-heatmap

It is necessary to provide an Ft-Calling-App value when using Fluid Topics web services. See Fluid Topics calling app.

Request example

The following example shows a JSON request body for this web service:

{
  "startDate": "2024-01-01",
  "endDate": "2024-05-01",
  "contentLocale": "en-US"
}
Field Name Type Required? Description
startDate String Yes Inclusive start date of the period. Must be within the analytics data retention period.
endDate String Yes Exclusive end date of the period. Must be later than the start date.
contentLocale String Yes Combination of language code and country code, separated by a hyphen.

All three of the request parameters described above are mandatory.

Response body

The following example shows a JSON response body for this web service:

{
  "startDate": "2024-01-01",
  "endDate": "2024-05-01",
  "results": [
    {
      "queryCount": 4347,
      "facetKey": "Version_FT",
      "facetLabel": "Version",
      "byFacetValue": [
        {
          "queryCount": 3650,
          "facetValue": "Latest"
        },
        {
          "queryCount": 261,
          "facetValue": "4.2"
        },
        {
          "queryCount": 100,
          "facetValue": "4.0"
        },
        {
          "queryCount": 98,
          "facetValue": "4.1"
        },
        {
          "queryCount": 69,
          "facetValue": "3.11"
        },
        {
          "queryCount": 59,
          "facetValue": "3.10"
        },
        {
          "queryCount": 53,
          "facetValue": "3.9"
        },
        {
          "queryCount": 41,
          "facetValue": "3.7"
        },
        {
          "queryCount": 14,
          "facetValue": "3.8"
        },
        {
          "queryCount": 2,
          "facetValue": "'Latest'"
        }
      ]
    },
    {
      "queryCount": 2576,
      "facetKey": "Category",
      "facetLabel": "Category",
      "byFacetValue": [
        {
          "queryCount": 764,
          "facetValue": "Reference Guides"
        },
        {
          "queryCount": 381,
          "facetValue": "Technical Notes"
        },
        {
          "queryCount": 362,
          "facetValue": "How To"
        },
        {
          "queryCount": 273,
          "facetValue": "Screencasts"
        },
        {
          "queryCount": 230,
          "facetValue": "Release Notes"
        },
        {
          "queryCount": 174,
          "facetValue": "At a Glance"
        },
        {
          "queryCount": 113,
          "facetValue": "Training"
        },
        {
          "queryCount": 98,
          "facetValue": "Infosec"
        },
        {
          "queryCount": 85,
          "facetValue": "DOM Changes"
        },
        {
          "queryCount": 50,
          "facetValue": "Troubleshooting"
        },
        {
          "queryCount": 46,
          "facetValue": "Sprint newsletter"
        }
      ]
    },
    {
      "queryCount": 379,
      "facetKey": "audience",
      "facetLabel": "Audience",
      "byFacetValue": [
        {
          "queryCount": 167,
          "facetValue": "public"
        },
        {
          "queryCount": 111,
          "facetValue": "internal"
        },
        {
          "queryCount": 45,
          "facetValue": "onprem"
        },
        {
          "queryCount": 34,
          "facetValue": "premium"
        },
        {
          "queryCount": 17,
          "facetValue": "partners"
        },
        {
          "queryCount": 3,
          "facetValue": "All/Internal"
        },
        {
          "queryCount": 2,
          "facetValue": "confidential"
        }
      ]
    },
    {
      "queryCount": 71,
      "facetKey": "Platform",
      "facetLabel": "Operating system",
      "byFacetValue": [
        {
          "queryCount": 55,
          "facetValue": "Debian"
        },
        {
          "queryCount": 13,
          "facetValue": "RHEL"
        },
        {
          "queryCount": 3,
          "facetValue": "Kubernetes"
        }
      ]
    },
    {
      "queryCount": 36,
      "facetKey": "ft:editorialType",
      "facetLabel": "Editorial type",
      "byFacetValue": [
        {
          "queryCount": 21,
          "facetValue": "article"
        },
        {
          "queryCount": 15,
          "facetValue": "book"
        }
      ]
    },
    {
      "queryCount": 24,
      "facetKey": "language",
      "facetLabel": "Language",
      "byFacetValue": [
        {
          "queryCount": 24,
          "facetValue": "English"
        }
      ]
    }
  ]
}
Field Type Description
startDate String Inclusive start date of the period
endDate String Exclusive end date of the period
facetKey String Name of the facet
facetLabel String Localized name of the facet
facetValue String Value of the facet
queryCount Number Number of queries submitted by users who selected the facet
Return code Description
200 OK Returns 0 or more results.